Skip to main content
PUT
Update a Project Expense

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectExpenseId
string
required

(Required) The project expense identifier.

Body

application/json
expenseAmount
string
expenseDate
string
accountingCode
string
expenseDescription
string

Response

OK

id
string

The unique identifier of the record in Virtuous.

projectId
string

The identifier of the project this record is designated to.

projectName
string
projectCode
string
parentProjectId
string
parentProjectName
string
parentProjectCode
string
expenseAmount
string
expenseDate
string
accountingCode
string
expenseDescription
string
createDateTimeUtc
string

The UTC date and time the record was created.

createdByUser
string

The name of the user who created the record.

modifiedDateTimeUtc
string

The UTC date and time the record was last modified.

modifiedByUser
string

The name of the user who last modified the record.

Last modified on April 23, 2026